Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.interform.ChoiceOption Class Reference

## Public Member Functions
| ChoiceOption ()
| Constructor.
| ChoiceOption (ChoiceOption option)
| Constructor, with another choice option object. More...
| ChoiceOption (String option_value, String option_label, boolean selected, boolean default_selected)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
boolean | getDefault_selected ()
| Get used to indicate whether the option would be selected by default or not. More...
String | getOption_label ()
| Get the displayed string value for the option. More...
String | getOption_value ()
| Get the option string value. More...
boolean | getSelected ()
| Get used to indicate whether the option is selected or not. More...
void | set (String option_value, String option_label, boolean selected, boolean default_selected)
| Set value. More...
void | setDefault_selected (boolean value)
| Set used to indicate whether the option would be selected by default or not. More...
void | setOption_label (String value)
| Set the displayed string value for the option. More...
void | setOption_value (String value)
| Set the option string value. More...
void | setSelected (boolean value)
| Set used to indicate whether the option is selected or not. More...

## Detailed Description

This class represents the data of an option in list box or combo box.

## Constructor & Destructor Documentation

## ◆ ChoiceOption() [1/2]

com.foxit.sdk.pdf.interform.ChoiceOption.ChoiceOption | ( | String | option_value,
|  | String | option_label,
|  | boolean | selected,
|  | boolean | default_selected
| ) |  |

Constructor, with parameters.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and false means the option would not be selected by default.

## ◆ ChoiceOption() [2/2]

com.foxit.sdk.pdf.interform.ChoiceOption.ChoiceOption | ( | ChoiceOption | option | ) |

Constructor, with another choice option object.

Parameters

  [in] | option | Another choice option object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.interform.ChoiceOption.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getDefault_selected()

com.foxit.sdk.pdf.interform.ChoiceOption.getDefault_selected | ( |  | ) |

Get used to indicate whether the option would be selected by default or not.

Returns
  Used to indicate whether the option would be selected by default or not.

## ◆ getOption_label()

com.foxit.sdk.pdf.interform.ChoiceOption.getOption_label | ( |  | ) |

Get the displayed string value for the option.

Returns
  The displayed string value for the option.

## ◆ getOption_value()

com.foxit.sdk.pdf.interform.ChoiceOption.getOption_value | ( |  | ) |

Get the option string value.

Returns
  The option string value.

## ◆ getSelected()

com.foxit.sdk.pdf.interform.ChoiceOption.getSelected | ( |  | ) |

Get used to indicate whether the option is selected or not.

Returns
  Used to indicate whether the option is selected or not.

## ◆ set()

void com.foxit.sdk.pdf.interform.ChoiceOption.set | ( | String | option_value,
|  | String | option_label,
|  | boolean | selected,
|  | boolean | default_selected
| ) |  |

Set value.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and false means the option would not be selected by default.

Returns
  None.

## ◆ setDefault_selected()

com.foxit.sdk.pdf.interform.ChoiceOption.setDefault_selected | ( | boolean | value | ) |

Set used to indicate whether the option would be selected by default or not.

Parameters

  [in] | value | Used to indicate whether the option would be selected by default or not.

Returns
  None.

## ◆ setOption_label()

com.foxit.sdk.pdf.interform.ChoiceOption.setOption_label | ( | String | value | ) |

Set the displayed string value for the option.

Parameters

  [in] | value | The displayed string value for the option.

Returns
  None.

## ◆ setOption_value()

com.foxit.sdk.pdf.interform.ChoiceOption.setOption_value | ( | String | value | ) |

Set the option string value.

Parameters

  [in] | value | The option string value.

Returns
  None.

## ◆ setSelected()

com.foxit.sdk.pdf.interform.ChoiceOption.setSelected | ( | boolean | value | ) |

Set used to indicate whether the option is selected or not.

Parameters

  [in] | value | Used to indicate whether the option is selected or not.

Returns
  None.